package com.bytedance.android.livesdk.feed;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("drawer_cover")
public final class DrawerCoverSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = true;
    public static final DrawerCoverSetting INSTANCE = new DrawerCoverSetting();

    public final boolean getDEFAULT() {
        return DEFAULT;
    }

    static {
        Covode.recordClassIndex(15956);
    }

    public final boolean getValue() {
        Boolean bool = (Boolean) SettingsManager.INSTANCE.getValueSafely(DrawerCoverSetting.class);
        if (bool != null) {
            return bool.booleanValue();
        }
        return DEFAULT;
    }
}
